Subject: bug#75755: feature/igc: Missing IGC_CHECK_RES?

From: Pip Cet <[email-masked]>
Date: Thu, 23 Jan 2025 17:56:31 +0000

"Stefan Kangas" <[email-masked]> writes:

> Pip Cet <[email-masked]> writes:
>
>> "Eli Zaretskii" <[email-masked]> writes:
>>
>>>> Date: Thu, 23 Jan 2025 14:34:56 +0000
>>>> From: Pip Cet <[email-masked]>
>>>> Cc: Stefan Kangas <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
>>>>
>>>> "Eli Zaretskii" <[email-masked]> writes:
>>>>
>>>> > IMO, the single use of this macro is not worth of the complications
>>>> > due to relying on an internal enumeration macro.  The single function
>>>> > which uses this is a testing tool, which on top of that warns in its
>>>> > doc string not to use it.  Introducing significant complexity and
>>>> > breakage potential into Emacs due to this is IMO a tail wagging the
>>>> > dog.
>>>>
>>>> I agree with this paragraph; it's not worth it, let's drop the code.
>>>>
>>>> > So I suggest that we define our own enumeration.  We could copy some
>>>>
>>>> Why?
>>>
>>> Because it's easy, and will still give us human-readable error
>>> messages.
>>
>> How does defining an enum give us that?  Did you mean "our own switch
>> statement"?  If so, what's wrong with the one on the current branch?
>
> FWIW, I'd keep it simple here and just install this.  At the end of the

Please do.  I confess I tried to find a solution for the general case
here; unnamed enums are rare so worrying about that was inappropriate.

Pip